package game;

import java.awt.image.BufferedImage;
import java.io.IOException;
import java.net.URL;

import javax.imageio.ImageIO;

/**
 * Intrinsic State
 * @author Convidado
 */
public class Textura {

    private BufferedImage imagem;
    private Integer time;
    public static final int TIME_1 = 1;
    public static final int TIME_2 = 2;
    public static final int TIME_3 = 3;
    public static final int TIME_4 = 4;

    public Textura(int tipo) {
        URL url;
        String pacote = "/game/imagens/";

        switch (tipo) {
            case TIME_1:
                url = Textura.class.getResource(pacote + "tipo_1.bmp");
                break;
            case TIME_2:
                url = Textura.class.getResource(pacote + "tipo_2.bmp");
                break;
            case TIME_3:
                url = Textura.class.getResource(pacote + "tipo_3.bmp");
                break;
            default:
                url = Textura.class.getResource(pacote + "tipo_4.bmp");
        }

        try {
            this.imagem = ImageIO.read(url);
        } catch (IOException e) {
            e.printStackTrace();
        }

        this.time = tipo;
    }

    public BufferedImage getImagem() {
        return imagem;
    }

    public void setImagem(BufferedImage imagem) {
        this.imagem = imagem;
    }

    public int getTipo() {
        return time;
    }

    public void setTipo(int tipo) {
        this.time = tipo;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj instanceof Textura) {
            Textura t = (Textura) obj;
            return this.time == t.time;
        }

        return false;
    }
}
